Bug 1531458 - [Deployment] Configure correct permissions for OVS DPDK with ODL
Summary: [Deployment] Configure correct permissions for OVS DPDK with ODL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Janki
QA Contact: Maxim Babushkin
URL:
Whiteboard: odl_deployment
Depends On:
Blocks: 1528941
TreeView+ depends on / blocked
 
Reported: 2018-01-05 07:42 UTC by Janki
Modified: 2018-10-18 07:24 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.2-0.20180327213843.f25e2d8.el7ost puppet-tripleo-8.3.2-0.20180327181745.40b702f.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
N/A
Last Closed: 2018-06-27 13:40:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 531322 None master: MERGED tripleo-heat-templates: Configure qemu group setting as hugetlbfs for ovs-dpdk (Id727a514610816c8223aa0dcd49a70caec29a21... 2018-03-29 16:15:39 UTC
OpenStack gerrit 547961 None master: MERGED puppet-tripleo: Create vhost_socket_dir with proper permissions (I5fc2f852c66c2b825af96aba2657d0f9085dc8c3) 2018-03-29 16:15:32 UTC
OpenStack gerrit 553788 None stable/queens: MERGED puppet-tripleo: Create vhost_socket_dir with proper permissions (I5fc2f852c66c2b825af96aba2657d0f9085dc8c3) 2018-03-29 16:15:26 UTC
OpenStack gerrit 555326 None stable/queens: MERGED tripleo-heat-templates: Configure qemu group setting as hugetlbfs for ovs-dpdk (Id727a514610816c8223aa0dcd49a70caec29a21... 2018-03-29 16:15:19 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:41:41 UTC

Description Janki 2018-01-05 07:42:17 UTC
Description of problem:

OvS 2.8 by default runs with user openvswitch:openvswitch. 
For DPDK, we need to run it as openvswitch:hugetlbfs

Comment 1 Janki 2018-01-05 07:46:59 UTC
These patches configure ovs to run with user hugetlbfs when DPDK is enabled.

See below BZs for reference.
https://bugzilla.redhat.com/show_bug.cgi?id=1478791#c10
https://bugzilla.redhat.com/show_bug.cgi?id=1515269

Comment 9 errata-xmlrpc 2018-06-27 13:40:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.